
Infrastructure - Task #2349

Story # 2045 (Closed): Get the DataONE CLI ready for public release

Default algorithm "SHA-1" is not allowed.

2012-02-17 22:14 - Andrew Pippin

Status: Closed Start date: 2012-02-17

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 1.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

When invoking the CLI, the system default algorithm is "SHA-1", which is no longer allowed.

History

#1 - 2012-02-17 22:18 - Andrew Pippin

According to Roger Dahl:

This is a bug due to a change of the DataONE default hashing algorithm in d1_common.const from "SHA1" to "SHA-1". We used to allow both

on the Python side, but changed that, as I mentioned. However, only "SHA1" is valid when creating a hashing object by name in Python.

The fix is to use a map between DataONE names for the algorithms and the Python names. I've already implemented that, but don't use it in the

CLI.

#2 - 2012-02-17 23:32 - Andrew Pippin

- % Done changed from 0 to 100

Fixed by Roger (r7053, r7054, r7055).  There is a new utility routine (d1_common.util.get_checksum_calculator_by_dataone_designator) to map the

DataONE algorithm name to the Python algorithm name (i.e. "SHA-1" to "sha1").

#3 - 2012-02-22 02:12 - Roger Dahl

- Parent task set to #2045

#4 - 2012-02-22 04:36 - Roger Dahl

- Status changed from New to Closed
https://redmine.dataone.org/projects/d1/repository/revisions/7053
https://redmine.dataone.org/projects/d1/repository/revisions/7054
https://redmine.dataone.org/projects/d1/repository/revisions/7055
